Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Package maincanvas :: Module inputhandler :: Class InputHandler |
[frames] | no frames]

# Class InputHandler

source code

    object --+
             |
            InputHandler

Instance Methods
__init__(self, timeline_canvas) x.__init__(...) initializes x; see help(type(x)) for signature | source code
left_mouse_down(self, cursor, keyboard) | source code
mouse_moved(self, cursor, keyboard) | source code
left_mouse_up(self) | source code
dragscroll_timer_fired(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, timeline_canvas) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)